ldns_schwartzian_compare_struct Struct Reference

Structure to do a Schwartzian-like transformation, for instance when sorting. More...

`#include <util.h>`

## Data Fields

void * | original_object
void * | transformed_object

## Detailed Description

Structure to do a Schwartzian-like transformation, for instance when sorting.

If you need a transformation on the objects that are sorted, you can sue this to store the transformed values, so you do not need to do the transformation again for each comparison

Definition at line 166 of file util.h.

## Field Documentation

## original_object

void* ldns_schwartzian_compare_struct::original_object

Definition at line 167 of file util.h.

## transformed_object

void* ldns_schwartzian_compare_struct::transformed_object

Definition at line 168 of file util.h.